# system

### **accountNextIndex(accountId: `AccountId`): `Index`**

* **interface**: `api.rpc.system.accountNextIndex`
* **jsonrpc**: `system_accountNextIndex`
* **summary**: Retrieves the next accountIndex as available on the node.

### **addLogFilter(directives: `Text`): `Null`**

* **interface**: `api.rpc.system.addLogFilter`
* **jsonrpc**: `system_addLogFilter`
* **summary**: Adds the supplied directives to the current log filter.

### **addReservedPeer(peer: `Text`): `Text`**

* **interface**: `api.rpc.system.addReservedPeer`
* **jsonrpc**: `system_addReservedPeer`
* **summary**: Adds a reserved peer.

### **chain(): `Text`**

* **interface**: `api.rpc.system.chain`
* **jsonrpc**: `system_chain`
* **summary**: Retrieves the chain.

### **chainType(): `ChainType`**

* **interface**: `api.rpc.system.chainType`
* **jsonrpc**: `system_chainType`
* **summary**: Retrieves the chain type.

### **dryRun(extrinsic: `Bytes`, at?: `BlockHash`): `ApplyExtrinsicResult`**

* **interface**: `api.rpc.system.dryRun`
* **jsonrpc**: `system_dryRun` (alias=`system_dryRunAt`)
* **summary**: Dry runs an extrinsic at a given block.

### **health(): `Health`**

* **interface**: `api.rpc.system.health`
* **jsonrpc**: `system_health`
* **summary**: Returns the health status of the node.

### **localListenAddresses(): `Vec<Text>`**

* **interface**: `api.rpc.system.localListenAddresses`
* **jsonrpc**: `system_localListenAddresses`
* **summary**: The addresses include a trailing /p2p/ with the local PeerId, and are thus suitable to be passed to addReservedPeer or as a bootnode address for example.

### **localPeerId(): `Text`**

* **interface**: `api.rpc.system.localPeerId`
* **jsonrpc**: `system_localPeerId`
* **summary**: Returns the base58-encoded PeerId of the node.

### **name(): `Text`**

* **interface**: `api.rpc.system.name`
* **jsonrpc**: `system_name`
* **summary**: Retrieves the node name.

### **nodeRoles(): `Vec<NodeRole>`**

* **interface**: `api.rpc.system.nodeRoles`
* **jsonrpc**: `system_nodeRoles`
* **summary**: Returns the roles the node is running as.

### **peers(): `Vec<PeerInfo>`**

* **interface**: `api.rpc.system.peers`
* **jsonrpc**: `system_peers`
* **summary**: Returns the currently connected peers.

### **properties(): `ChainProperties`**

* **interface**: `api.rpc.system.properties`
* **jsonrpc**: `system_properties`
* **summary**: Gets a custom set of properties as a JSON object, defined in the chain specification.

### **removeReservedPeer(peerId: `Text`): `Text`**

* **interface**: `api.rpc.system.removeReservedPeer`
* **jsonrpc**: `system_removeReservedPeer`
* **summary**: Removes a reserved peer.

### **reservedPeers(): `Vec<Text>`**

* **interface**: `api.rpc.system.reservedPeers`
* **jsonrpc**: `system_reservedPeers`
* **summary**: Returns the list of reserved peers.

### **resetLogFilter(): `Null`**

* **interface**: `api.rpc.system.resetLogFilter`
* **jsonrpc**: `system_resetLogFilter`
* **summary**: Resets the log filter to Substrate defaults.

### **syncState(): `SyncState`**

* **interface**: `api.rpc.system.syncState`
* **jsonrpc**: `system_syncState`
* **summary**: Returns the state of the syncing of the node.

### **version(): `Text`**

* **interface**: `api.rpc.system.version`
* **jsonrpc**: `system_version`
* **summary**: Retrieves the version of the node.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bifrostnetwork.com/bifrost-network/developer-documentations/client-api/json-rpc-api/system.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
